Get a profile's bio and stats
curl --request POST \
--url https://api.stophy.dev/v1/tiktok/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "khaby.lame"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'khaby.lame'})
};
fetch('https://api.stophy.dev/v1/tiktok/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/tiktok/profile"
payload = { "user": "khaby.lame" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"profile": {
"url": "<string>",
"isVerified": true,
"isPrivate": true,
"isOrganization": true,
"id": "<string>",
"secUid": "<string>",
"username": "<string>",
"name": "<string>",
"bio": "<string>",
"bioLinks": [
{
"url": "<string>"
}
],
"avatar": "<string>",
"language": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"followers": 0,
"following": 0,
"likes": 0,
"videos": 0
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}TikTok
TikTok profile API
Call the TikTok profile API to get sec uid, username, name, bio, bio links and avatar, as JSON or markdown. 1 credit.
POST
/
v1
/
tiktok
/
profile
Get a profile's bio and stats
curl --request POST \
--url https://api.stophy.dev/v1/tiktok/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "khaby.lame"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'khaby.lame'})
};
fetch('https://api.stophy.dev/v1/tiktok/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/tiktok/profile"
payload = { "user": "khaby.lame" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"profile": {
"url": "<string>",
"isVerified": true,
"isPrivate": true,
"isOrganization": true,
"id": "<string>",
"secUid": "<string>",
"username": "<string>",
"name": "<string>",
"bio": "<string>",
"bioLinks": [
{
"url": "<string>"
}
],
"avatar": "<string>",
"language": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"followers": 0,
"following": 0,
"likes": 0,
"videos": 0
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
tiktok.profile - Returns:
datahasprofile. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.tiktok.profile({ user: "khaby.lame" });
console.log(result.data.profile);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.tiktok.profile(user="khaby.lame")
print(result["data"]["profile"])
curl -X POST https://api.stophy.dev/v1/tiktok/profile \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"user":"khaby.lame"}'
stophy tiktok profile khaby.lame
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json